## ros-iron-rosidl-parser 4.0.1

=== debian/changelog ===
ros-iron-rosidl-parser (4.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rosidl-parser (4.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rosidl-parser (3.4.0-1jammy) jammy; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rosidl-parser (3.3.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.3.0-1jammy) jammy; urgency=high

  * Always include whitespace in string literals (#688 <https://github.com/ros2/rosidl/issues/688>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Sep 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Jun 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.1.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.1.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.1.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.1.0-1jammy) jammy; urgency=high

  * Set maybe_placeholders to False for lark 1.+ compatibility (#664 <https://github.com/ros2/rosidl/issues/664>)
  * Generate documentation in generated C header files based on ROS interfaces comments (#593 <https://github.com/ros2/rosidl/issues/593>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.0.1-1jammy) jammy; urgency=high

  * Pass comments in ros interface constants to the .idl generated files (#630 <https://github.com/ros2/rosidl/issues/630>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-iron-rosidl-parser (3.0.0-1jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 04 Nov 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.5.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Aug 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.4.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jul 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.3.0-1jammy) jammy; urgency=high

  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Jun 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 08 Mar 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.0.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-rosidl-parser (2.0.2-1jammy) jammy; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Finish support for fixed-point literals.
  * Fix parsing of small floats.
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-rosidl-parser (2.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Sep 2020 16:00:00 -0000

ros-iron-rosidl-parser (2.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-iron-rosidl-parser (1.1.0-1jammy) jammy; urgency=high

  * Allow zero length string constants (#507 <https://github.com/ros2/rosidl/issues/507>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Aug 2020 16:00:00 -0000

ros-iron-rosidl-parser (1.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-rosidl-parser (1.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 21 May 2020 16:00:00 -0000

ros-iron-rosidl-parser (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 May 2020 16:00:00 -0000

ros-iron-rosidl-parser (0.9.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-iron-rosidl-parser (0.9.0-1jammy) jammy; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Apr 2020 16:00:00 -0000

ros-iron-rosidl-parser (0.8.2-1jammy) jammy; urgency=high


