=== debian/control ===
Source: ros-iron-rosidl-parser
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosidl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lark, ros-iron-rosidl-adapter, ros-iron-ros-workspace
Description: The parser for `.idl` ROS interface files.
